Webseiten mit 404 Fehler finden

Du benötigst Hilfe bezüglich Firefox? Bitte stelle deine Frage im öffentlichen Bereich des Forums und nicht per Konversation an wahllos ausgesuchte Benutzer. Wähle dazu einen passenden Forenbereich, zum Beispiel „Probleme auf Websites“ oder „Erweiterungen und Themes“ und klicke dann rechts oben auf die Schaltfläche „Neues Thema“.
  • Hallo


    Ich scheine mich vage an Zeiten zu erinnern, wo es ein (oder mehrere) Add-ons gab, wo man zB gezielt pro Ordner die Webseiten aufgelistet bekommen hat, die nicht mehr erreichbar sind.
    Kennt jemand so ein Addon und kann mir den Namen nennen? Ich habe leider nichts diesbezügliches gefunden, trotz intensiver Suche, vielleicht nach dem falschen Stichwort.


    Vielen Dank und «en güete Rutsch».

    Herzliche Grüsse von Schottland's schönster Ferieninsel


    Zurück in die Zukunft. 14.10.; das Plasma der Version 5 passt mir nicht.

  • Falls es hier um Lesezeichen geht, in Anbetracht dessen, dass die zwei genannten Erweiterungen nicht mehr gepflegt werden, hab ich auch schon einen funktionierenden WebExtension-Prototyp (also auch mit Firefox 57 und höher kompatibel). Man sieht es am angehängten Screenshot, es gibt derzeit nur eine Konsolen-Ausgabe und noch keine benutzerfreundliche Oberfläche, welche Details zu den Lesezeichen anzeigt. Vielleicht arbeite ich daran ja mal weiter, wenn der Bedarf vorhanden ist… ;)

  • Ich kann leider noch nicht sagen, bis wann ich eine Version fertig habe, die veröffentlichbar ist, insbesondere da momentan noch ein paar andere Dinge bei mir anstehen, die wichtig sind.


    Darum hab ich die Erweiterung nun erst einmal so weit weitergemacht, dass die nicht mehr funktionierenden Lesezeichen auf dem Bildschirm angezeigt werden und diese darüber auch direkt gelöscht werden können. Das sieht noch nicht schön aus, entspricht auch noch nicht dem vollständigen geplanten Funktionsumfang (es sind noch ein paar Features wie Anzeige, in welchem Ordner das Lesezeichen gespeichert ist, oder Duplikate finden geplant), aber diese absolute Basisfunktionalität funktioniert soweit. Also wer nicht warten kann, kann das ja gerne mal probieren.


    Quellcode: https://git.agenedia.com/firef…k-checker/tree/master/src
    Download: https://git.agenedia.com/firef…/bookmark_checker-0.1.xpi


    Die Erweiterung ist nicht signiert und wer diese Vorabversion installiert, erhält keine automatischen Updates. Es gibt keinen Support bei Problemen. Verwendung der Vorab-Version auf eigene Gefahr, ich übernehme keine Haftung bei unerwarteten Datenverlusten. Ich betone schließlich nicht grundlos "Vorab-Version" und biete diese Version nicht über AMO an. Ich habe diese Version nur erstellt, weil es noch ein bisschen dauern kann, bis das fertig wird. ;)

  • Das ist ja wirklich ein schönes Weihnachtsgeschenk. Also ich habe nun die XPI-Datei heruntergeladen und frage also totaler Laie, wie ich das auf Kubuntu 14.04 installieren und in den Favoriten eingliedern kann.

    Herzliche Grüsse von Schottland's schönster Ferieninsel


    Zurück in die Zukunft. 14.10.; das Plasma der Version 5 passt mir nicht.

  • Hallo,


    verschiedene Optionen:


    a) Du lädst das Add-on über die Seite about:debugging. In diesem Fall ist es nur temporär geladen und beim nächsten Start von Firefox wieder weg. Falls es sich um eine Einmal-Aufgabe handelt und du nicht vor hast, das alle paar Tage auszuführen, ist das vermutlich ausreichend. Du kannst es dann immer auf diese Weise laden, wenn benötigt.


    b) Du nutzt eine Nightly-Version oder die Developer Edition von Firefox. Dann kannst du über about:config xpinstall.signatures.required auf false setzen. Dann lässt sich die Erweiterung auf gewohntem Weg über den Add-on Manager installieren.


    c) Wenn du Firefox Beta oder eine finale Version von Firefox nutzt und Weg a) nicht ausreichend ist, benötigst du spezielle Firefox-Builds von hier: https://wiki.mozilla.org/Add-o…_Signing#Unbranded_Builds. Danach siehe b).


    Ob du dich nun für a), b) oder c) entscheidest, alle Wege sind nur für diese Version der Erweiterung notwendig. Irgendwann wird es eine Version auf addons.mozilla.org geben, die ganz normal per Klick installiert werden kann. Aber dafür kann ich noch keinen Termin nennen.


    PS: die Version sollte normalerweise auch in Firefox 50 funktionieren, ich habe die Version bisher aber ausschließlich in Firefox Nightly getestet.

  • Alles wirklich sehr interessant.


    Gerne würde ich mal als erstes das von «bejot» ausprobieren. Wie sieht denn hier eine Zur-Verfügungstellung » aus? möchtst Du meine email Adresse?

    Herzliche Grüsse von Schottland's schönster Ferieninsel


    Zurück in die Zukunft. 14.10.; das Plasma der Version 5 passt mir nicht.

  • Zitat von Arran

    Gerne würde ich mal als erstes das von «bejot» ausprobieren.


    Bedenke aber, Bookmarks Checker wird nicht mehr weiterentwickelt, ist bereits von AMO entfernt und in Zukunft wird Mozilla nur noch Erweiterungen vom Typ WebExtension unterstützen. Die Erweiterung, die Sören jetzt auf die Schnelle aus dem Hut gezaubert hat, ist bereits eine solche WebExtension.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Habe gerade festgestellt, dass es nicht möglich ist über PN (ungültige Dateierweiterung) :-??:grr:


    Sende mir deine Email Adresse per PN und dann sehen wir weiter :lol:

  • Zitat von bejot

    Habe gerade festgestellt, dass es nicht möglich ist über PN (ungültige Dateierweiterung)


    Du müsstest wahrscheinlich die Datei nur von .xpi in .zip umbenennen.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Zitat von Boersenfeger


    @ milupo: Wie funktioniert Sörens denn? :-??


    Ich habe sie noch nicht getestet, aber jetzt, wo du mich so nett darum bittest ... :-)

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook